Bug 268545 - JShell: printf method gives "cannot find symbol" error, but still executes correctly
JShell: printf method gives "cannot find symbol" error, but still executes co...
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: JShell
8.2
All All
: P2 (vote)
: Dev
Assigned To: Svata Dedic
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-16 12:47 UTC by Paul Deitel
Modified: 2016-11-24 02:53 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Deitel 2016-10-16 12:47:36 UTC
When you enter a statement such as

   printf("hi there");

the statement executes correctly, but the JShell window shows a red exclamation point icon indicating a "cannot find symbol" error.

Of course, printf is defined by JShell to call System.out.printf.
Comment 1 Svata Dedic 2016-11-22 15:50:37 UTC
will be fixed in jet-main#d3501531d9f0
Comment 2 Quality Engineering 2016-11-24 02:53:44 UTC
Integrated into 'main-silver', will be available in build *201611240001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/d3501531d9f0
User: Svata Dedic <sdedic@netbeans.org>
Log: #268545: startup snippets are intercepted and indexed files created for them. Minor cleanups


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo